aboutsummaryrefslogtreecommitdiffstats
path: root/tests/realmath
diff options
context:
space:
mode:
authorClifford Wolf <clifford@clifford.at>2014-06-15 09:31:03 +0200
committerClifford Wolf <clifford@clifford.at>2014-06-15 09:31:03 +0200
commita4ec19c25c97d68b9347d3d98637add7b18cf073 (patch)
tree3468e74fe4026fde497d54fd7b255ef91c9b4d3d /tests/realmath
parent4d1df128fa42a9e6718f38e794be8b2f8c2ff7c7 (diff)
downloadyosys-a4ec19c25c97d68b9347d3d98637add7b18cf073.tar.gz
yosys-a4ec19c25c97d68b9347d3d98637add7b18cf073.tar.bz2
yosys-a4ec19c25c97d68b9347d3d98637add7b18cf073.zip
Added tests/realmath to "make test"
Diffstat (limited to 'tests/realmath')
-rwxr-xr-xtests/realmath/run-test.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/tests/realmath/run-test.sh b/tests/realmath/run-test.sh
index 48e87417c..a28863d31 100755
--- a/tests/realmath/run-test.sh
+++ b/tests/realmath/run-test.sh
@@ -13,7 +13,11 @@ for ((i = 0; i < 100; i++)); do
idx=$( printf "%05d" $i )
../../../yosys -q uut_${idx}.ys
iverilog -o uut_${idx}_tb uut_${idx}_tb.v uut_${idx}.v uut_${idx}_syn.v
- ./uut_${idx}_tb
+ ./uut_${idx}_tb | tee uut_${idx}.err
+ if test -s uut_${idx}.err; then
+ exit 1
+ fi
+ rm -f uut_${idx}.err
done
echo